<?php

if(core::ifPost("from")){
    if (unlink(SFTP_LOCAL.core::getPost("file")) AND salaries::deleteExcelJsonForSFTP(salaries::lastExcel())) { 

        historique::recRef("/proweb-export-csv.html");
        historique::add(array(
            "idType" => historique::getIdRef("ACTION"),
            "idUser" => session::getId(),
            "idPage" => historique::getIdRef("/proweb-export-csv.html"),
            "log" => "Suppression en local de ". core::getPost("file")
        ));

        alert::recSuccess(core::getPost("file") . " a bien été supprimé");
    } else {
        alert::recError(core::getPost("file") . " n'a pas pu être supprimé");
    }
}

header("Location: /proweb-export-csv.html");
exit();
